// 레이아웃 제어 스크립트

// GNB
// gnbControl();

// function gnbControl() {
// 	var gnbTimer,
// 		_openTerm = 500,
// 		eventCount = 0;
// 	$('#gnb').find('a').first().addClass('first');
// 	$('#gnb').find('a').last().addClass('last');
// 	$(document).on('mouseenter', '#gnb', function () {
// 		$('body').addClass('lnb-open');
// 	}).on('mouseleave', '#gnb', function () {
// 		$('body').removeClass('lnb-open');
// 	}).on('click', '.gnb-list>li>a', function (e) {
// 		if (_mode == 'mobile' || _mode == 'tablet') {
// 			// e.preventDefault();

// 		}
// 		$(this).parent('li').addClass('on').siblings('li').removeClass('on');


// 	});
// };

// function mobileGnbSetting() {
// 	var oneDepthOnCheck = null;
// 	var twoDepthOnCheck = null;
// 	if ($('.gnb-list>li').hasClass('on')) {
// 		
// 		oneDepthOnCheck = true;
// 		$('body').addClass('mobile-onedepth-open');

// 		if ($('.gnb-list>li>.lnb-wrap>ul>li').hasClass('on')) {
// 			
// 			twoDepthOnCheck = true;
// 			$('body').addClass('mobile-twodepth-open');
// 		}
// 	}

// }





// 모바일 전체메뉴
$(document).on('click', '.btn-allmenu-open', function (e) {
	allmenuOpen();




}).on('click', '.btn-allmenu-close', function (e) {
	allmenuClose();
});

function allmenuOpen() {
	setTimeout(function () {
		$('body').addClass('allmenu-open');
	}, 100);
}

function allmenuClose() {
	$('body').removeClass('allmenu-open');
	$('.btn-allmenu-open').focus();
}

// 리사이즈 감지 
var term = 0,
	timer = null;

$(window).on('load resize', function () {
	clearTimeout(timer);
	timer = setTimeout(_modeDetect, term);
	term = 300;
});

var _mode;

function _modeDetect() {
	var widthScreen = $(window).width();
	var beforeMode = _mode;

	if (widthScreen > 1024) {
		_mode = 'pc';
	} else if (widthScreen >= 768) {
		_mode = 'tablet';
	} else {
		_mode = 'mobile';
	}

	// 

	if (beforeMode !== _mode) {
		// 다국어 선택
		if (_mode == 'pc') {
			$(document).on('mouseenter', '.language', function () {
				$('.language').addClass('hover');
			}).on('mouseleave', '.language', function () {
				$('.language').removeClass('hover');
			});
		} else {
			// 다국어 선택
			$(document).on('click', '.language', function (e) {
				e.preventDefault();
				$('.language').toggleClass('hover');
			});
		}
	}
}




// .btn-allmenu-close 클릭시 올메뉴 닫기
$(document).on('click', '.gnb-back-btn', function (e) {
	if ($(this).parent().siblings('.gnb-list').hasClass('gnb-list')) {

		$('.gnb-back-btn').text('홈');
		$('.current-nav').text($('.gnb-list > li.on >a').text());

		// $('body').hasClass('mobile-onedepth-open') ?
		// 	null :
		if ($('body').hasClass('mobile-twodepth-open')) {
			$('body').removeClass('mobile-twodepth-open');
			$('.gnb-list>li.on .lnb-wrap li').removeClass('on');


		} else if ($('body').hasClass('mobile-onedepth-open')) {
			$('body').removeClass('mobile-onedepth-open');
			$('.gnb-list>li').removeClass('on');

			$(this).removeClass('on');
			$('.current-nav').removeClass('on');
			// $('.gnb-back-btn').text('홈');
			$(this).text($('.gnb-list > li.on >a').text());
		}
	}
});

$(document).on('click', '.btn-gnb-depth-open', function (e) {
	var currentNav = $('.current-nav');
	var backBtn = $('.gnb-back-btn');


	//투뎁스 확인시 바디에 클레스 부여
	if ($(this).parent().parent().parent().hasClass('lnb-wrap')) {

		$('body').hasClass('mobile-twodepth-open') ?
			null :
			$('body').addClass('mobile-twodepth-open');
	};

	// 원뎁스 확인시 바디에 클레스 부여
	if ($(this).parent().parent().hasClass('gnb-list')) {
		currentNav.text($(this).prev().text());

		// $('.gnb-back-btn').addClass('on').text('홈');
		// $('.current-nav').addClass('on').text('홈');
		$('body').hasClass('mobile-onedepth-open') ?
			null :
			$('body').addClass('mobile-onedepth-open');
	}

	// 부모요소가 li일시 on (1뎁스)
	if ($(this).parent().prop('tagName') == 'LI') {
		$(this).parent().hasClass('on') ?
			$(this).parent().removeClass('on') :
			$(this).parent().addClass('on');
			if($("#LANG").val() =="en_US"){
				$('.gnb-back-btn').addClass('on').text('HOME');
			}
			else{
				$('.gnb-back-btn').addClass('on').text('홈');
			}
		
		$('.current-nav').addClass('on').text($(this).prev().text());
	}

	var acondianbtnTarget = $(this);
	// 버튼 다음이 ul일시  상위li on (2뎁스)
	if ($(this).next().prop('tagName') == 'UL') {


		backBtn.text($(this).parent().parent().parent().parent().children('a').text());
		currentNav.text($(this).prev().text());
		acondianbtnTarget.parent('li').siblings('li').removeClass('on');
		acondianbtnTarget.parent('li').addClass('on');
	} else if ($(this).next().hasClass('lnb-wrap')) {


		acondianbtnTarget.parent('li').siblings('li').removeClass('on');
		acondianbtnTarget.parent('li').addClass('on')
	}
});


function menuLoadAndSetting() {
	var checkTargetListOneDepth = $('.gnb-list > li');
	var checkTargetListTwoDepth = $('.lnb-wrap > ul > li');
	for (var i = 0; i < checkTargetListOneDepth.length; i++) {
		if ($(checkTargetListOneDepth[i]).hasClass('on')) {
			$('body').addClass('mobile-onedepth-open');
			$('.gnb-back-btn').addClass('on').text('홈');
			$('.current-nav').addClass('on').text($(checkTargetListOneDepth[i]).children('a').text());
			for (var y = 0; y < checkTargetListTwoDepth.length; y++) {
				if ($(checkTargetListTwoDepth[y]).hasClass('on')) {
					$('body').addClass('mobile-twodepth-open');
					$('.gnb-back-btn').addClass('on').text($(checkTargetListOneDepth[i]).children('a').text());
					$('.current-nav').addClass('on').text($(checkTargetListTwoDepth[y]).children('a').text());
				}
			}
			break;
		}
	}
}

menuLoadAndSetting();